import request from '@/utils/request'

// 分页查询资讯
export const pageList = (query) => {
  return request({
    url: '/goods/performSponsor/pageList',
    method: 'get',
    params: query
  })
}

// 新增修改资讯
export const saveAndEdit = (data) => {
  return request({
    url: '/goods/performSponsor/insertOrUpdate',
    method: 'post',
    data: data
  })
}

// 删除模板
export const deleteById = (id) => {
  return request({
    url: '/goods/performSponsor/deleteById',
    method: 'delete',
    params: {id:id}
  })
}
